%define name    xarchive
%define version 0.2.4.2
%define release 1.2006mcnl
%define summary GTK+ front end for command line archiving tools
%define section System/Archiving/Compression

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://xarchive.sourceforge.net/
License:        GPL
Group:          Archiving/Compression
Packager:       Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl>
Source0:        %{name}-0.2.4-2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	unace unzip zip ncompress rar bzip2 gzip p7zip arj


%description
XArchive is GTK+ graphical frontend that uses external wrappers to
communicate with the command line archiving tools. This makes 
adding support for a new archive format a simple matter of writting
a wrapper for that format's command line tool and putting it in 
XArchive's wrapper directory.

Depending on the capabilities of the command line tool, XArchive 
can handle creation, extraction and manipulation of archives.

%prep
%setup -q -n %{name}-0.2.4-2
%build
%configure
%make
%makeinstall


# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="%{section}" \
title="XArchive" longtitle="%{summary}"
EOF

# Icons
%define  nameicon icons/xarchive.xpm
mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL NEWS
%{_menudir}/%{name}
%{_bindir}/%{name}
%{_libdir}/%{name}/wrappers/*-wrap.sh
%{_iconsdir}/*
%{_mandir}/man1/xarchive.1
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}/%{name}.1.*



%changelog
* Fri Oct 28 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 0.2.4.2-1.2006mcnl
- 0.2.4.2

* Fri Sep 30 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 0.2.2.2-1.102mcnl
- 0.2.2.2

* Wed Sep 28 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 0.2.2.1-1.102mcnl
- 0.2.2.1

* Sun Sep 18 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.1.10.1-1.102mcnl
- 0.1.10.1

* Thu Jul 28 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.1.8.1-1.102mcnl
- 0.1.8.3

* Mon Jul 25 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.1.8.1-1.102mcnl
- 0.1.8.1

* Mon Jul 04 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.1.6.3-1.102mcnl
- First Build for Mandriva Linux LE 2005
